Как правильно обновить карты?
=========

Есть два способа обновить карты, но какой бы способ вы ни выбрали, перед обновлением вам нужно:

1. Закрыть SASPlanet
2. Сделать резервную копию папки `%SASPlanet%/Maps/` (не обязательно)

В папке `%SASPlanet%/Maps/` помимо самих карт (zmp), ещё хранятся и настройки: файлы `Maps.ini` и `Favorites.ini`. Процесс обновления карт не затрагивает эти файлы, так что вы можете быть спокойны за сохранность своих индивидуальных настроек. 

---
**Ручной способ:**

1. Удалить старую папку с картами `%SASPlanet%/Maps/sas.maps/`
2. Скачать zip архив с новыми картами по этой ссылке: [master.zip](http://parasite.kicks-ass.org:3000/sasgis/maps/archive/master.zip)
3. Распаковать архив в папку `%SASPlanet%/Maps/`
4. Внутри папки `%SASPlanet%/Maps/` переимановть папку `maps` в `sas.maps`

При каждом обновлении, вам нужно выполнять *все шаги*.

---
**Автоматический способ:**

а) Предварительная настройка (выполняется один раз):

  1. Скачать портативную версию git для windows: [MinGit-2.10.0-32-bit.zip](https://github.com/git-for-windows/git/releases/download/v2.10.0.windows.1/MinGit-2.10.0-32-bit.zip)
  2. Распаковать архив в папку `C:\git\`
  3. Добавить в PATH путь к папке `C:\git\cmd`
  4. Убедиться, что git работает: откройте командную строку и выполните команду `git --version`. В ответ должно напечатать: `git version 2.10.0.windows.1`

б) Непосредственное обновление карт:

  1. Перейти в папку `%SASPlanet%/Maps/sas.maps/`
  2. Запустить скрипт обновления карт: `Update.cmd`
   
---

**Возможные проблемы и их решение**

В: *Я обновил карты по инструкции, но нужная мне карта так и не заработала*

О: Убедитесь, что вас не забанили, сервис не закрылся и работает у других пользователей ([форум](http://www.sasgis.org/forum/viewtopic.php?f=2&t=168), [багтрекер](http://www.sasgis.org/mantis/) в помощь). 

Если у всех всё работает, а проблема только у вас и не связана с баном, то возможна следующая ситуация: 

Вы когда-то внесли изменения в настройки карты (через Параметры - Настройки карты / слоя). Например, изменили базовую часть URL или HTTP заголовки. Ваши настройки сохранились в `%SASPlanet%/Maps/Maps.ini` и теперь *они имеют приоритет перед настройкой из zmp*. Теперь, даже если вы обновите карты, настройки URL будут браться не из обновлённой версии zmp, а из `Maps.ini`.

Чтобы решить эту проблему, вам надо сбросить изменённые вами настройки, на значения по умолчанию. Для этого, в настройках карты возле каждого пункта, есть кнопка сброса: `<>`

Более радикальный способ сбросить все значения для всех карт - удалить файл `%SASPlanet%/Maps/Maps.ini`






